
:root {
  --mainbg: #e0e0e0;
  /*--herobg: rgb(53, 43, 197);*/
  --herobg: rgba(0,0,0,0.5);
  --herobg-black: rgb(0, 0, 0);
  --menubg: rgba(255,255,255, 1);
  --menubgscrolled: rgb(200, 200, 200);
  --lighttext: #fff8f0;
  --darktext: #291f1e;
  --altcolor1: #a47963;
  --altcolor2: #0000fb;
  --colordark: rgba(0, 0, 0, 0.4);
  --colorlight: rgba(255, 255, 255, 0.6);
  --colora: #444;
  --colorahover: #ccc;
  --coloraactive: yellow;
  --headerfont: font-family: 'Playfair Display', serif;
  --bodyfont: font-family: 'Roboto', sans-serif;
}


*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: max(12px, 1.1vw);
  font-family: 'Roboto', sans-serif;
}

body {
  margin: 0;
  background: #222;
  max-width: 100%;
}
body * {
  font-family: var(--bodyfont);
  font-weight: 400;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Playfair Display', serif;
  font-weight: 700;
  color: #333;
  max-width: 90vw;
}
h1 {
  font-size: 3rem;
  line-height: 1;
  margin-bottom: 1em;
}
h2 {
  font-size: 2.5rem;
  line-height: 1;
  margin-bottom: 1em;
}
h3 {
  font-size: 2rem;
  line-height: 1;
  margin-bottom: 1em;
}
h4 {
  font-size: 1.5rem;
  line-height: 1;
  margin-bottom: 1em;
}

p {
  max-width: clamp(60vw, 75ch, 80vw);
  font: size 1rem;
  line-height: 1.6em;
  padding: 2em 1em;
}

.lighttext {
  color: var(--lighttext);
}
.darktext {
  color: var(--darktext);
}
.bgcolor-alt1 {
  background: var(--altcolor1);
  color: var(--lighttext);
}
.bgcolor-alt2 {
  background: var(--altcolor2);
  color: var(--lighttext);
}
.bgcolor-darktext {
  background: var(--darktext);
  color: var(--lighttext);
}

.smalltext {
  font-size: 0.8rem;
}
.stroketext {
  font-size: 160%;
  color: white; /*this is the fallback for non supported browsers*/
  -webkit-text-stroke: 4px white;
  -webkit-text-fill-color: transparent;
  line-height: 100%;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 900;
}

figcaption{text-align: center}

/**** GENERAL CONTAINER STYLES ***/

.flex {
  display: flex;
}

.flex-column {
  display: flex;
  flex-direction: column;
  padding: 1em 1em;
  align-items: center;
}

.wrapper {
  background-color: var(--mainbg);
}

section {
  width: 100%;
  position: relative;
  padding: 4rem 0;
}

#section1 {
  height: 100vh;
  background-color: var(--darktext);
  display: flex;
  align-items: center;
}

.contentfull {
  display: block;
  width: min(90%, 70.5rem);
  margin: 0 auto;
}
.columns {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}
.columns > * {
  flex-basis: 100%;
  flex-shrink: 1;
}

.section-title {
  font-weight: bold;
  font-size: 4rem;
  line-height: 100%;
}

/***FADE-IN STYLES FOR Intersection Observer JS***/

.fade-in-left {
  opacity: 0;
  transform: translate(-50px);
  transition: opacity 500ms ease-in, transform 500ms ease-in;
}
.fade-in-right {
  opacity: 0;
  transform: translate(100px);
  transition: opacity 500ms ease-in, transform 500ms ease-in;
}

.fade-in-fast {
  transition: opacity 300ms ease-in, transform 300ms ease-in;
}

.fade-in-left.appear {
  opacity: 1;
  transform: translate(0px);
}
.fade-in-right.appear {
  opacity: 1;
  transform: translate(0px);
}
.inline{
  display: inline-block;
 
}

/*** HERO STYLES ***/

.hero {
  position: relative;
  min-height: 90vh;
  padding:100px;  
  margin-top:200px;
  background-image: url(../images/hero2.jpg);
  background-size:150%;
  background-repeat: no-repeat;
  background-color: var(--herobg);
  background-blend-mode: multiply;
  animation: bg-animation 150s infinite;
  animation-timing-function: linear;
   
  
}
/*.hero > *{
  background-size:125%;
  background-repeat: no-repeat;
  background-color: var(--herobg);
  background-blend-mode: multiply;
  animation: bg-animation 150s infinite;
  animation-timing-function: linear;
}
.hero-inner-home{
  position: absolute;
  width: 100%;
  height:100%;
  display: grid;
  grid-template-columns: minmax(2vw, 10vw) repeat(8, 1fr) minmax(2vw, 10vw);
  grid-template-rows: 150px repeat(9, 1fr);
  background-image: url(../images/hero2.jpg);
}*/



@keyframes bg-animation {
  0% {
    background-position: left top;
  }
  33% {
    background-position: right bottom;
  }
  66% {
    background-position: right top;
  }
  100% {
    background-position: left top;
  }
}
.hero-top {
  display: grid;
  grid-template-columns: 2fr 1fr;
  align-items: center;
  justify-content: left;
}

.hero-top h1 {
  padding: 0;
  margin: 0;
  font-size: 4.5rem;
  color: #fff;
}
.hero-top p, .hero-top li{
  font-weight: bold;
  font-size:115%;

}


ul.herolist {
  padding: 0 1rem;
  margin-left: 5ch;
  max-width: 65ch;
  line-height: 125%;
  column-count: 1;
  margin-top: 0px;
  }

/**** HERO BUTTON WITH DOWN ARROW ****/

.hero-btn {
  position: relative;
  display: inline-block;
}
.hero-btn a {
  position: relative;
  padding: 0.75rem 2rem;
  background: var(--altcolor2);
  color: var(--lighttext);
  border: var(--altcolor1) 2px solid;
  border-radius: 1rem;
  text-decoration: none;
  transition: 0.5s;
}
.hero-btn a::after {
  content: "\21e9";
  position: absolute;
  font-size: 1.5em;
  opacity: 0;
  bottom: 0;
  left: 50%;
  transition: 0.5s;
}

.hero-btn a:hover {
  padding-bottom: 2rem;
}

.hero-btn a:hover::after {
  opacity: 1;
}

/**** GENERAL BUTTON WITH RIGHT ARROW ***/
.btn {
  text-align: left;
  margin: 3rem 0;
}
.btn a {
  position: relative;
  padding: 0.75rem 2rem;
  background: var(--altcolor2);
  color: var(--lighttext);
  border: var(--altcolor1) 2px solid;
  border-radius: 1rem;
  text-decoration: none;
  display: inline-block;
  transition: 0.5s;
}
.btn a::after {
  content: "»";
  position: absolute;
  font-size: 1.5em;
  opacity: 0;
  padding-left: 1ch;
  bottom: 0.42em;
  transition: 0.5s;
}
.btn a:hover {
  padding-right: 3rem;
}
.btn a:hover::after {
  opacity: 1;
  right: 1ch;
}



/***BLURB Section Begins ***/

.section-blurb{
  background-color:transparent;
}
.blurb {
  display: flex;
  flex-grow: 0;
  flex-shrink: 1;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  border: solid 0px var(--darktext);
  padding: 1em 1em;
  margin: 1em;
  background: #fff;
  box-shadow: 9px 5px 13px 0px rgba(0, 0, 0, 0.54);
}

.blurb > img {
  max-height: 80%;
  max-width: 80%;
}

#blurb1 {
  transition-delay: 1000ms;
}
#blurb2 {
  transition-delay: 500ms;
}
#blurb3 {
  transition-delay: 0ms;
}

/*** About Us Section Begins ***/

.about-top {
  background: var(--altcolor1);
  margin: 0;
  padding: 0;
  padding-block: 3rem;
  
}
.about-us {
  display: flex;
  flex-direction: row;
  align-content: top;
  padding: 1rem;
}
.border {
  border: 2px solid #fff;
}

#about-img {
  background: transparent;
  margin: 0 1rem 0 0;
  padding: 1rem;
  align-self: start;
  justify-self: stretch;
}
#about-img img {
  max-width: 100%;
}

.about-paras-outer {
  border: solid 0px yellow;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.about-paras {
  display: flex;
  flex-direction: row;
  border: 2px solid var(--lighttext);
  margin: 1px auto;
}

.about-paras-header {
  background: white;
  border-radius: 50%;
  width: 7rem;
  height: 7rem;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem;
  min-width: 7rem;
}
.about-paras-header h3 {
  margin-top: 1rem;
  font-size: 1rem;
  text-align: center;
}

.about-paras-para {
  display: flex;
}
.about-paras-para p {
  color: var(--lighttext);
  font-size: 1.25rem;
}

/*** About Us Section Bottom Half ***/

.about-bottom {
  padding:1rem 0 3rem 0;
  background: var(--altcolor2);
}

.hr-text h3 {
  overflow: hidden;
  text-align: center;
  color: var(--lighttext);
}

.hr-text h3:before,
.hr-text h3:after {
  background-color: var(--lighttext);
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 50%;
}

.hr-text h3:before {
  right: 0.5em;
  margin-left: -50%;
}

.hr-text h3:after {
  left: 0.5em;
  margin-right: -50%;
}
.grid1{
  display:grid;
  grid-template-columns: 1fr 3fr;
  justify-items: start;
  align-items: center;

}

/*** Testimonial Slider Begins ***/

/* OUTER CONTAINER */
.s-wrap {
  max-width:95%;
  min-height: 380px; /* Optional */
  background: #ffd7d1;
  border: 1px solid #9c1e0b;
  overflow: hidden; /* Hide scrollbars */
  margin: 0 auto;
}

/* MIDDLE WRAPPER */
.s-move {
  display: flex;
  position: relative;
  top: 0;
  right: 0;
  justify-content: center;
}

/* SLIDES */
.slide {
  box-sizing: border-box;
  padding: 10px;
  /* Force all slides to layout horizontally */
  width: 100%;
  flex-shrink: 0;
}
.name {
  padding: 1rem 0 0 1rem;
  margin: 0;
}
.slide .name {
  font-weight: bold;
}
.slide .name > span {
  font-size: 0.5rem;
}
.review {
  font-size: 0.9rem;
}
/* SLIDE ANIMATION MAGIC */
@keyframes slideh {
  /* Will use keyframes to shift the 5 slides */
  0% {
    right: 0;
  }
  20% {
    right: 100%;
  }
  40% {
    right: 200%;
  }
  60% {
    right: 300%;
  }
  80% {
    right: 400%;
  }
  100% {
    right: 0;
  }
  */
    /* BUT the above will be non-stop */
    /* We want short pauses between each slide, so... */
    0% {
    right: 0;
  }
  15% {
    right: 0;
  }
  20% {
    right: 100%;
  }
  35% {
    right: 100%;
  }
  40% {
    right: 200%;
  }
  55% {
    right: 200%;
  }
  60% {
    right: 300%;
  }
  75% {
    right: 300%;
  }
  80% {
    right: 400%;
  }
  95% {
    right: 400%;
  }
  100% {
    right: 0;
  }
}
.s-move {
  animation: slideh linear 25s infinite;
}
.s-move:hover {
  animation-play-state: paused;
}

/*******      END SECTION BEGIN ******/

.end {
  background: var(--darktext);
}
.end .contentfull{
  padding:1rem;
}

/**** FOOTER ***/

footer {
  background-color: var(--altcolor2);
  padding-top: 0.5rem;
}
.shape {
  background-color: var(--darktext);
  margin-left: 3rem;
  padding: 2rem;
  padding-left: 6rem;
  border-radius: 10rem 0 0 0;
}
.shape .flex-column {
  justify-content: center;
  min-height: 30vh;
  color: var(--lighttext);
}
footer #col1 img{
  max-width:80%;
}

#col2 ul {
  line-height: 2;
}
.social {
  display: flex;
  flex-direction: row;
}
.social > img {
  height: 2em;
  width: 2em;
  margin: 2em 0.5em;
}

/******* MEDIA QUERIES BEGIN ******/

/*@media screen and (min-width: 800px) {
  .columns > * + * {
    margin-left: 1em;
  }
}
@media screen and (max-width: 1025px) {
  .hero-top {
    grid-column: 2/10;
  }
 
}*/

@media screen and (max-width: 800px) {
   
 section.hero{
  margin-top:0;
  min-height:0vh;
  padding: 20px;
}
.hero-top{
     grid-template-columns: 1fr;
  }
 .hero-top h1 {
    font-size: 4rem;
      }
 
  .columns {
    flex-direction: column;
  }
  .section1-content {
    display: flex;
    justify-content: center;
  }
  .about-us {
    flex-direction: column;
    max-width: 95%;
    margin: 0 auto;
  }
  #about-img {
    align-self: center;
  }
  #about-img img {
    max-height: 380px;
    justify-self: center;
  }
}
@media screen and (max-width: 600px) {
  .stroketext{
    font-size: 130%;
  }
  footer div#col2{
    display:none;
  }
 /* .hero > * {
    background-size: 300%;
  }
}*/
